| The Gaudi Framework v32r1 (f65d50dc)

Static Public Member Functions | List of all members
GaudiAlg::Print3D Class Reference

collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...

`#include <GaudiAlg/Print.h>`

## Static Public Member Functions
static void | print (MsgStream &stream, const AIDA::IHistogram3D *aida, const GaudiAlg::HistoID &ID)
static std::string | toString (const AIDA::IHistogram3D *aida, const GaudiAlg::HistoID &ID)

## Detailed Description

collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool)

See also
  AIDA::IHistogram3D

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@l.nosp@m.app..nosp@m.in2p3.nosp@m..fr

Date
  2005-08-04

Definition at line 91 of file Print.h.

## Member Function Documentation

## ◆ print()

void GaudiAlg::Print3D::print | ( | MsgStream & | stream,
|  | const AIDA::IHistogram3D * | aida,
|  | const GaudiAlg::HistoID & | ID
| ) |  |
| static

Definition at line 85 of file Print.cpp.

85 {
86 stream << toString( aida, ID ) << endmsg;
87 }
GaudiAlg::Print3D::toString
static std::string toString(const AIDA::IHistogram3D *aida, const GaudiAlg::HistoID &ID)
Definition: Print.cpp:89
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## ◆ toString()

std::string GaudiAlg::Print3D::toString | ( | const AIDA::IHistogram3D * | aida,
|  | const GaudiAlg::HistoID & | ID
| ) |  |
| static

Definition at line 89 of file Print.cpp.

89 {
90 boost::format fmt( " ID=%|-25|%|30t| \"%|.45s|\" %|79t| "
91 "Ents/All=%|5|/%|-5|<X>/sX=%|.5|/%|-.5|,<Y>/sY=%|.5|/%|-.5|,<Z>/sZ=%|.5|/%|-.5|" );
92 fmt % ID.idAsString() % aida->title();
93 fmt % ( aida->allEntries() - aida->extraEntries() ) % aida->allEntries();
94 fmt % aida->meanX() % aida->rmsX();
95 fmt % aida->meanY() % aida->rmsY();
96 fmt % aida->meanZ() % aida->rmsZ();
97 //
98 return fmt.str();
99 }
format
GAUDI_API std::string format(const char *,...)
MsgStream format utility "a la sprintf(...)".
Definition: MsgStream.cpp:109
GaudiAlg::ID::idAsString
GAUDI_API LiteralID idAsString() const
Return ID as string, for both numeric and literal IDs.
Definition: GaudiHistoID.cpp:20

The documentation for this class was generated from the following files:

- GaudiAlg/GaudiAlg/Print.h
- GaudiAlg/src/lib/Print.cpp